#ifndef _USART_H_
#define _USART_H_
#include <stm32f0xx.h>
#define BAUDRATE        115200UL

#define _PN  	usart_putc('\n')
#define _P6 	usart_putU16
#define _P8 	usart_putU8
#define _PS 	usart_puts
#define _PX     usart_put_hex
#define _PZ     usart_put_hexu

void usart_init(void);
void usart_putc(uint8_t data);
void usart_puts(const char * data);
void usart_put_u08(uint8_t val);
void usart_put_u16(uint16_t val);
void usart_put_hexu(uint32_t Value, uint8_t NumBytes);
void usart_put_hex(int32_t Value, uint8_t NumBytes);

#endif // _USART_H_
